/*
 * === Ardumotive Shield for Arduino UNO Board ===
 * Arduino Tutorial: Simulate Park Assist
 * Dev Michalis Vasilakis/Date 24/3/2018/http://ardumotive.com
 */
 

#define buzzer 13
#define pinLED1 9
#define pinLED2 10
#define pinLED3 11

#define trig A3
#define echo A2
#include "Ultrasonic.h"
Ultrasonic ultrasonic(trig,echo);

#include <Adafruit_GFX.h>
#include <Adafruit_PCD8544.h>
Adafruit_PCD8544 display = Adafruit_PCD8544(3,4,5,6,7);

int distance;
void setup() {
  //Serial Port init at 9600
  Serial.begin (9600);
  display.begin();
  display.setContrast(50);
  display.clearDisplay();   // clears the screen and buffer
  pinMode(buzzer, OUTPUT);
  pinMode(pinLED1, OUTPUT);
  pinMode(pinLED2, OUTPUT);
  pinMode(pinLED3, OUTPUT);
}

void loop() {
  distance = ultrasonic.Ranging(CM);
  display.setTextSize(1);
  display.println("Distance:");
  display.println("");
  display.setTextSize(3);
  display.println(distance);
  display.display();
  if (distance >= 20 && distance <=30){
    tone(buzzer, 5000, 100);
    digitalWrite(pinLED1, HIGH);
  }
  else if (distance >=10 && distance <20){
    tone(buzzer, 5000, 200);
    digitalWrite(pinLED1, HIGH);
    digitalWrite(pinLED2, HIGH);
  }
  else if (distance <10){
    tone(buzzer, 5000, 500);
    digitalWrite(pinLED1, HIGH);
    digitalWrite(pinLED2, HIGH);
    digitalWrite(pinLED3, HIGH);
    
  }
  delay(500);
  digitalWrite(pinLED1, LOW);
  digitalWrite(pinLED2, LOW);
  digitalWrite(pinLED3, LOW);
  noTone(buzzer);
  display.clearDisplay();
}
